﻿using System;
using System.Collections.Generic;
using ObjectModel;

namespace DomainModel
{
    public class Post
    {
        public long Id { get; set; }

        public virtual Thread Thread { get; set; }

        public long ThreadId { get; set; }

        public string Title { get; set; }

        public string Text { get; set; }

        public DateTime Created { get; set; }

        public DateTime? Modified { get; set; }

        public byte[] RowId { get; set; }

        public virtual Poll Poll { get; set; }

        public virtual User Author { get; set; }

        public virtual User ModifiedBy { get; set; }

        public virtual ICollection<PostModification> Modifications { get; set; }
    }
}
