﻿using System;
using System.Collections.Generic;

namespace ObjectModel
{
    public class User
    {
        public long Id { get; set; }

        public string Name { get; set; }

        public string DisplayName { get; set; }

        public string Email { get; set; }

        public string Password { get; set; }

        public string Salt { get; set; }

        public string PasswordQuestion { get; set; }

        public string PasswordAnswer { get; set; }

        public string Comment { get; set; }

        public bool IsApproved { get; set; }

        public bool IsLockedOut { get; set; }

        public DateTime Created { get; set; }

        public DateTime Updated { get; set; }

        public DateTime LastLogin { get; set; }

        public DateTime LastActivity { get; set; }

        public DateTime? LastPasswordChange { get; set; }

        public DateTime? LastLockout { get; set; }

        public virtual Guid? ProviderUserKey { get; set; }

        public virtual List<UserProfileEntry> Entries { get; set; }

        public virtual List<UserRole> Roles { get; set; }

        public int IncorrectLoginAttempts { get; set; }
    }
}
