﻿using System;
using System.Collections.Generic;

namespace ForumEngine.Models
{
    public class SectionForumModel
    {
        public long Id { get; set; }

        public string Name { get; set; }

        public string Description { get; set; }

        public string Url { get; set; }

        public List<UserModel> Moderators { get; set; }

        public int Threads { get; set; }

        public int Posts { get; set; }

        public string LastPostTitle { get; set; }

        public UserModel LastAuthor { get; set; }

        public DateTime LastPostTime { get; set; }

        public string LastPostUrl { get; set; }

        public bool HasNewPosts { get; set; }
    }
}
