﻿using System.Collections.Generic;
using ForumEngine.Models;

namespace ViewServices
{
    public interface IPathViewService
    {
        List<PathModel> GetFullPathSection(long sectionId, bool isCurrent);

        PathModel GetPathRoot();

        List<PathModel> GetFullPathThread(long threadId);

        PathModel GetPathSections();

        TopTabModel GetTopTabs();
    }
}
