﻿using Autofac;

namespace ViewServices
{
    public class ViewServicesModule : Module
    {
        protected override void Load(ContainerBuilder builder)
        {
            builder.RegisterType<UserViewService>().As<IUserViewService>();
            builder.RegisterType<Configuration>().As<IConfiguration>();
            builder.RegisterType<ForumViewService>().As<IForumViewService>();
        }
    }
}
