﻿using System.Web.Mvc;
using ViewServices;

namespace ForumEngine.Controllers
{
    public class HomeController : Controller
    {
        private readonly IPathViewService _pathViewService;

        public HomeController(IPathViewService pathViewService)
        {
            _pathViewService = pathViewService;
        }

        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            return View();
        }

        public ActionResult TopTab()
        {
            return View(_pathViewService.GetTopTabs());
        }
    }
}
