﻿using System.Collections.Generic;
using ObjectModel;

namespace DomainModel
{
    public class Section
    {
        public long Id { get; set; }

        public string Name { get; set; }

        public string Description { get; set; }

        public bool IsForum { get; set; }

        public virtual ICollection<Section> Sections { get; set; }

        public virtual ICollection<Thread> Threads { get; set; }

        public virtual Section Parent { get; set; }

        public long? ParentSectionId { get; set; }
    }
}
