﻿using System;
using System.Collections.Generic;
using ObjectModel;

namespace DomainModel
{
    public class Thread
    {
        public long Id { get; set; }

        public string Name { get; set; }

        public string Description { get; set; }

        public DateTime Created { get; set; }

        public virtual ICollection<Post> Posts { get; set; }

        public virtual Section Section { get; set; }

        public long SectionId { get; set; }

        public virtual User Author { get; set; }
    }
}
