﻿using System.Collections.Generic;
using ForumEngine.Models;

namespace ViewServices
{
    public interface IForumViewService
    {
        List<SectionModel> GetAllSections();

        SectionModel GetSection(long sectionId);

        SectionThreadModel GetSectionThread(long threadId);

        ThreadModel GetThread(long threadId, int pageNumber);

        int GetThreadPostCount(long threadId);

        int GetThreadLastPage(long threadId);
    }
}
